> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobilerun.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get flow template context



## OpenAPI

````yaml /api-reference/workflows.yaml get /flows/template-context
openapi: 3.1.0
info:
  title: Workflows
  version: v1
servers:
  - description: Droidrun Cloud API
    url: https://api.mobilerun.ai/v1
security:
  - bearerAuth: []
paths:
  /flows/template-context:
    get:
      tags:
        - Flows
      summary: Get flow template context
      operationId: getFlowTemplateContext
      parameters:
        - in: query
          name: templateResolutionVersion
          required: false
          schema:
            maximum: 3
            minimum: 2
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    $ref: '#/components/schemas/FlowTemplateContext'
                required:
                  - data
                type: object
          description: Flow template context
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Mobilerun from '@mobilerun/sdk';

            const client = new Mobilerun({
              apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
            });

            const response = await client.workflows.flows.templateContext();

            console.log(response.data);
        - lang: Python
          source: |-
            import os
            from mobilerun_sdk import Mobilerun

            client = Mobilerun(
                api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"),  # This is the default and can be omitted
            )
            response = client.workflows.flows.template_context()
            print(response.data)
components:
  schemas:
    FlowTemplateContext:
      properties:
        grammar:
          type: string
        loop:
          properties:
            context:
              items:
                type: string
              type: array
            itemVariableDefault:
              type: string
            name:
              type: string
          required:
            - name
            - itemVariableDefault
            - context
          type: object
        payloadAliases:
          items:
            type: string
          type: array
        roots:
          items:
            properties:
              description:
                type: string
              name:
                type: string
              shape: {}
            required:
              - name
              - description
            type: object
          type: array
        stepReference:
          properties:
            keyRule:
              type: string
            note:
              type: string
            pattern:
              type: string
            slugRule:
              type: string
          required:
            - pattern
            - note
          type: object
        templateResolutionVersion:
          type: integer
      required:
        - templateResolutionVersion
        - grammar
        - roots
        - stepReference
        - payloadAliases
        - loop
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: Opaque
      description: Bearer token via Authorization header
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.